关于appium-python-client报错问题:AttributeError: ‘NoneType‘ object has no attribute ‘to_capabilities‘

由于python的appium包使用是基于selenium的, 而当我们安装了最新版的selenium和最新版的appium3.0.0, 就会导致版本冲突问题, 导致:AttributeError: 'NoneType' object has no attribute 'to_capabilities'异常发生。解决方法如下:

卸载selenium和appium, pip uninstall selenium, appium-python-client,

降低指定appium版本进行安装:pip install appium-python-client==2.0

这时pip会将对应的selenium版本一起下载,所以就不用再装selenium了,

问题解决:

本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。
THE END
分享
二维码

)">
< <上一篇
下一篇>>